#!/usr/local/bin/python
# -*- coding: utf-8 -*-

# Expected version format is: major.minor.fixes
__version__ = '1.6.43'


from slashdb import logging_conf
from slashdb.app import create_slashdb_app
from .patches import patch_all

logging_conf.set_defaults_for_custom_fields()

patch_all()


def app_factory(global_config, **settings):
    """This function returns a Pyramid WSGI application.

    :param global_config:
    :param settings: dictionary of settings passed from INI file

    """

    return create_slashdb_app(global_config, settings)
