from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from slashdb.dbproxies.oracle_sdb.dbconfig import OracleDBConfig
from slashdb.dbproxies.oracle_sdb.dataproxy import OracleDataProxy, DB_TYPES


class OracleModel(SQLAlchemyModel):
    db_types = DB_TYPES


class OracleModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES


ModuleMaker = OracleModuleMaker
Model = OracleModel
DataProxy = OracleDataProxy
DBConfig = OracleDBConfig
